<template>
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-8 offset-sm-2 col-md-6 offset-md-3">
                <h1>Filter & Mixins</h1>
                <p>{{ text | to-uppercase | toLowerCase }}</p>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12 col-sm-8 offset-sm-2 col-md-6 offset-md-3">
                <h3>Filter Products</h3>
                <button class="btn btn-block btn-success" @click="products.push('Mixins')">Add New Item</button>
                <input type="text" class="form-control mb-md-3 mt-2" placeholder="Press name product..." v-model="filterProudct">
                <div class="card ">
                    <div class="card-body ">
                        <ul>
                            <li v-for="product in filteredProducts" v-bind:key="product">{{ product }}</li>
                        </ul>
                    </div>

                </div>
            </div>
        </div>
        <app-list></app-list>
    </div>
</template>

<script>
    import { productMixin } from './productMixin.js'
    import List from './List.vue';

    export default {
        created() {
            console.log("Created!")
        },
        mixins: [productMixin],
        data() {
            return {
                text: 'Hello everyone, Vue JS',
               
            }
        },
        filters: {
            toLowerCase(text) {
                return text.toLowerCase();
            }
        },
        
        components: {
            appList: List,
        }
    }
</script>

<style>
    
</style>
